<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>MyMovies.it</Name>
  <HomePage>http://www.mymovies.it/</HomePage>
  <Language>Italian</Language>
  <Author>Axel Foley (Customized by TeHashiX)</Author>
  <Version>0.3</Version>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>
	true
  </SupportsCastAndDirector>
  <SupportsCover>
	true
  </SupportsCover>
  <SupportsPlot>
	true
  </SupportsPlot>
  <SupportsRating>true</SupportsRating>
  <!-- List of urls to search for movie (you can set only one or add as many as you want) -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.mymovies.it/database/ricerca/?q={0}</Url>
      <RegExp>&lt;h.*?&gt;[ \t\r\n\v\f]+&lt;a\shref="(?&lt;Link&gt;[^ ]*)"\stitle="(?&lt;Title&gt;.*?)"&gt;</RegExp>
      <MoviePlotLink>
        <string>{0}&amp;morandini=1</string>
        <string>{0}</string>
        <string>{0}&amp;farinotti=1</string>
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
      <NextPage>"film successivi&lt;/a&gt;"</NextPage>
    </Search>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.mymovies.it/database/ricerca/avanzata/?titolo=&amp;titolo_orig={0}&amp;regista=&amp;attore=&amp;id_genere=-1&amp;nazione=&amp;clausola1=-1&amp;anno_prod=&amp;clausola2=-1&amp;stelle=-1&amp;id_manif=-1&amp;anno_manif=&amp;disponib=-1&amp;ordinamento=1&amp;submit=Inizia+ricerca+%BB</Url>
      <RegExp>&lt;h.*?&gt;[ \t\r\n\v\f]+&lt;a\shref="(?&lt;Link&gt;[^ ]*)"\stitle="(?&lt;Title&gt;.*?)"&gt;</RegExp>
      <MoviePlotLink>
        <!--<string>{0}&amp;morandini=1</string>-->
        <string>{0}</string>
        <!--<string>{0}&amp;farinotti=1</string>-->
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
      <NextPage>"film successivi&lt;/a&gt;"</NextPage>
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>10</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>&lt;h1\sstyle="margin-bottom:3px;"&gt;[ \t\r\n\v\f]+(?&lt;1&gt;.*?)[ \t\r\n\v\f]+&lt;/h1&gt;</RegExp_Title>
  <RegExp_OriginalTitle>Titolo\soriginale\s&lt;em&gt;(?&lt;1&gt;.*?)&lt;/em&gt;</RegExp_OriginalTitle>
  <RegExp_Year>&lt;a\shref="http://www.mymovies.it/film/..../"&gt;(?&lt;1&gt;.*?)&lt;/a&gt;</RegExp_Year>
  <RegExp_Runtime>durata\s(?&lt;1&gt;.*?)\smin.</RegExp_Runtime>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>true</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>true</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>true</ReplaceTBbySpaceBeforeRegExpPlot>
  <!--<RegExp_Plot>&lt;td\srowspan="."\svalign="top"&gt;[ \t\r\n\v\f]+&lt;p&gt;[ \t\r\n\v\f]+(?(&lt;).*?[ \t\r\n\v\f]/&gt;[ \t\r\n\v\f]+(?&lt;1&gt;.*?)[ \t\r\n\v\f]+&lt;/p&gt;|(?&lt;1&gt;.*?)[ \t\r\n\v\f]+&lt;/p&gt;)</RegExp_Plot>-->
  <RegExp_Plot>&lt;p&gt;[\s\t\r\n\v\f]*(?&lt;1&gt;.*)[\s\r\n]*&lt;/p&gt;</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <RegExp_Genres>"Film\s(animazione|avventura|azione|biografici|catastrofici|cofanetti|comici|commedia|commedie a episodi|commedie drammatiche|commedie musicali|commedie nere|commedie rosa|cortometraggi|docu-fiction|documentari|documentari musicali|drammatici|epici|episodi|erotici|fantascienza|fantastici|farseschi|fiabeschi|film a episodi|film di montaggio|gialli|giallo rosa|grotteschi|guerra|hard boiled|horror|mitologici|musical|musicali|noir|politici|polizieschi|psicologici|ragazzi|religiosi|satirici|sentimentali|sociologici|sperimentali|spionaggio|sportivi|storici|storici-biografici|teatro|thriller|western)"[^&gt;]*?&gt;(?&lt;1&gt;.*?)&lt;</RegExp_Genres>
  <RegExp_Directors>Un\sfilm\sdi\s(?&lt;1&gt;.*?)&lt;/a&gt;[\.\n\t\r]</RegExp_Directors>
  <Actors_MultipleMatches>true</Actors_MultipleMatches>
  <RegExp_Actors>(?:(n|,|&gt;)\s&lt;a\shref=".*?/biografia/.*?&gt;|\sCon\s)(?&lt;1&gt;.*?)(?:\n)</RegExp_Actors>
  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
  <RegExp_CoverLinkFront>&lt;img\sstyle=".*"\ssrc="(?&lt;1&gt;.*?)"\swidth="150px"\sheight="215px".*&gt;</RegExp_CoverLinkFront>
  <RegExp_CoverUrl>&lt;a\shref="http://www.mymovies.it/poster/?id=(?&lt;1&gt;.*?)"\stitle="locandina\s(?:.*?)"&gt;Locandina\s&amp;raquo;&lt;/a&gt;</RegExp_CoverUrl>
  <RegExp_HowGotoCoverUrl>http://www.mymovies.it/poster/0/?id={0}</RegExp_HowGotoCoverUrl>
  <RegExp_CoverLinkFront2>&lt;img\swidth="...".*?src="(?&lt;1&gt;.*?)"</RegExp_CoverLinkFront2>
  <RegExp_GetCovers_Url>/poster/(?&lt;1&gt;.*?\d)"</RegExp_GetCovers_Url>
  <RegExp_GetCovers_Url_Transform>http://www.mymovies.it/poster/{0}</RegExp_GetCovers_Url_Transform>
  <RegExp_GetCovers>&lt;img\swidth="...".*?src="(?&lt;1&gt;.*?)"</RegExp_GetCovers>
  <RegExp_GetCovers_Results_Replace_From>/imm</RegExp_GetCovers_Results_Replace_From>
  <RegExp_GetCovers_Results_Replace_To>/locandina</RegExp_GetCovers_Results_Replace_To>
  <RegExp_GetCovers_Max>3</RegExp_GetCovers_Max>
  <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
  <RegExp_Rating>
    <string>mymonetro.*?px"&gt;(.*?)&lt;span</string>
    <string>dizionari&lt;/td&gt;.*?([\d|\,]*?)(?:&lt;tr&gt;|\sstelle)</string>
    <string>critica&lt;/td&gt;.*?([\d|\,]*?)(?:&lt;tr&gt;|\sstelle)</string>
    <string>pubblico&lt;/td&gt;.*?([\d|\,]*?)(?:&lt;tr&gt;|\sstelle)</string>
  </RegExp_Rating>
  <!-- Encoding used to send Title, and to read HTML pages -->
  <TitleEncoding>Default</TitleEncoding>
  <ContentEncoding>Default</ContentEncoding>
  <Debug>false</Debug>
</MyMPConfig>